summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-09-14 06:58:01 +0000
committerMike Frysinger <vapier@gentoo.org>2006-09-14 06:58:01 +0000
commit62a2f7f4d6bc18bb492786f09cbf18109c82bf90 (patch)
tree3fb27a51c409f008dc2615882d3973934da6d4ab /eclass/eutils.eclass
parentRevision bump to make room for a revision using gen-1 eclass. (diff)
downloadgentoo-2-62a2f7f4d6bc18bb492786f09cbf18109c82bf90.tar.gz
gentoo-2-62a2f7f4d6bc18bb492786f09cbf18109c82bf90.tar.bz2
gentoo-2-62a2f7f4d6bc18bb492786f09cbf18109c82bf90.zip
skip sanity checks in built_with_use() for IUSE with USE_EXPAND #147237
Diffstat (limited to 'eclass/eutils.eclass')
-rw-r--r--eclass/eutils.eclass14
1 files changed, 12 insertions, 2 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index 5381ad7a59fa..93fd746fa1c0 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.249 2006/09/11 03:28:58 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.250 2006/09/14 06:58:01 vapier Exp $
#
# This eclass is for general purpose functions that most ebuilds
# have to implement themselves.
@@ -1602,7 +1602,17 @@ built_with_use() {
[[ ! -e ${USEFILE} ]] && die "Unable to determine what USE flags $PKG was built with"
local IUSE_BUILT=$(<${IUSEFILE})
- has $1 ${IUSE_BUILT} || die "$PKG does not actually support the $1 USE flag!"
+ # Don't check USE_EXPAND #147237
+ local expand
+ for expand in $(echo ${USE_EXPAND} | tr '[:upper:]' '[:lower:]') ; do
+ if [[ $1 == ${expand}_* ]] ; then
+ expand=""
+ break
+ fi
+ done
+ if [[ -z ${expand} ]] ; then
+ has $1 ${IUSE_BUILT} || die "$PKG does not actually support the $1 USE flag!"
+ fi
local USE_BUILT=$(<${USEFILE})
while [[ $# -gt 0 ]] ; do